Subject: Re: Fetch remote only if remote hasn't been fetched recently

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Jun 2025 07:08:21 -0700

M Hickford <[email-masked]> writes:

> Interesting, thank you.
>
> Suppose my network connection is intermittent. While the machine is
> online, `git fetch --prefetch` runs successfully. Later I am offline.
> How can I complete the fetch?

I _think_ that it uses "git fetch --prefetch" to store what is
usually stored at refs/$R to refs/prefetch/$R (so your
remote-tracking branch refs/remotes/origin/frotz is stored at
refs/prefetch/remotes/origin/frotz instead), so I would presume that
it should be the matter of doing something silly like this:

    $ git fetch . 'refs/prefetch/remotes/origin/*:refs/remotes/origin/*'